For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • POSTCreate a mapping between two schemas
      • DELDelete all history for the authenticated user
      • GETList mapping programs
      • GETGet a mapping program
      • PATCHUpdate a mapping program
      • DELDelete a mapping program
      • POSTAdd mapping rules to a program
      • DELDelete multiple mapping rules
      • GETList mapping rules
      • GETGet a mapping rule
      • PATCHUpdate a mapping rule
      • PATCHUpdate a list of mapping rules
      • DELDelete a mapping rule
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceMapping

Delete a mapping rule

DELETE
https://api.x.flatfile.com/v1/mapping/:programId/rules/:mappingId
DELETE
/v1/mapping/:programId/rules/:mappingId
$curl -X DELETE https://api.x.flatfile.com/v1/mapping/us_mp_YOUR_ID/rules/us_mr_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "success": true
4 }
5}
Deletes a mapping rule from a program
Was this page helpful?
Previous

Get records

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

programIdstringRequired
ID of the program
mappingIdstringRequired
ID of mapping rule

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request Error
404
Not Found Error